PAPERS += EXAMPLE/EXAMPLE.dvi
CLEAN += $(EXAMPLEGEN) EXAMPLE/jwl-tmp.* EXAMPLE/*.out

EXAMPLEDIA := EXAMPLE/jwl-happy.dia
EXAMPLEPNG := EXAMPLE/jwl-unhappy.png
EXAMPLEGEN := $(EXAMPLEDIA:.dia=.eps) $(EXAMPLEDIA:.dia=.pdf) $(EXAMPLEPNG:.png=.eps)

## Add any additional .tex or .eps files below:
EXAMPLE/EXAMPLE.dvi EXAMPLE/EXAMPLE-proc.dvi: \
	EXAMPLE/myPaper.tex $(EXAMPLEDIA) \
	$(EXAMPLEPNG) $(EXAMPLEGEN) \
	EXAMPLE/EXAMPLE.tex 

# This is very ugly, but there's some trouble with exports on figures with arcs
# in the version of dia I'm currently using.  So there's a lovely tour of
# possible conversions provided here...
EXAMPLE/jwl-happy.eps : EXAMPLE/jwl-happy.dia
	dia --export=EXAMPLE/jwl-tmp.svg -t svg $^
	inkscape -z -f EXAMPLE/jwl-tmp.svg -A EXAMPLE/jwl-tmp.pdf
	pdftops -eps EXAMPLE/jwl-tmp.pdf EXAMPLE/jwl-happy.eps 2>/dev/null
	epstopdf EXAMPLE/jwl-happy.eps 

EXAMPLE/jwl-h%.pdf : EXAMPLE/jwl-h%.eps
	epstopdf $<

EXAMPLE/jwl-unhappy.eps : EXAMPLE/jwl-unhappy.png
	convert $^ $@

