#!/usr/bin/ruby

$LOAD_PATH << (File.dirname(File.expand_path(__FILE__)) + '/Utils')
require 'TemplateFromWeb.rb'

website = 'gccsummit'
year = 2008
datafile = 'RawData.sh'

procs = Proceedings.new(year, website)
if File.readable?(datafile)
  procs.load(datafile)
else
  procs.fetch
  procs.save(datafile)
end

puts "\n"
puts "#{procs.tla} #{year}: SVN Table of Contents\n".center(80)
puts "Draft: DO NOT REDISTRIBUTE UNTIL AFTER THE CONFERENCE\n".center(80)
printf "%-15s %-25s %-40s\n", "Directory", "Author", "Title"
printf "%-15s %-25s %-40s\n", "=========", "======", "====="

procs.papers.each do |p|
  printf "%-15s %-25s %-40s\n", p.dir, p.author, p.title
end
puts "\n"
