#!/usr/bin/ruby

$LOAD_PATH << File.dirname(File.expand_path(__FILE__))
require 'TemplateFromWeb.rb'

website = 'gccsummit'
year = 2008
datafile = 'RawData.sh'

procs = Proceedings.new(year, website)
if File.readable?(datafile)
  procs.load(datafile)
else
  procs.fetch
  procs.save(datafile)
end

start_dir = Dir.getwd()

procs.papers.each do |p|
  Dir.chdir start_dir
  lastname = p.dir
  # lastname = p.dir.gsub(/\d+$/,"")

  makeAdd = lastname + "-abstract.tex"

  if not File.directory?(p.dir)
    Dir.mkdir p.dir
  end
  Dir.chdir p.dir
  if not File.exists?(makeAdd)
    cont = ''
    if 0 != p.ckey.to_i
      theUrl = procs.abstract_url + p.ckey.to_s
      bak = makeAdd + '.bak'
      `links -dump #{theUrl} > #{bak}`

      # Now turn the fetched file into reasonably readable LaTeX...
      # These numbers will vary from year to year depending on web layout
      chopPt = `grep -n '^References' #{bak} | awk -F: '{ print $1 }'`.to_i
      chopPt -= 7
      lastChop = chopPt - 3
      cont = `cat #{bak} | cut -b 27- | head -#{chopPt} | tail -#{lastChop}`
      cont.gsub!(/%/, '{\%}')
      cont.gsub!(/_/, '{\_}')
      cont.gsub!(/&/, '{\&}')
      cont.gsub!(/®/, '{\LegalR}')
      cont.gsub!(/\256/, '{\LegalR}')
      cont.gsub!(/©/, '{\copyright}')
      cont.gsub!(/\251/, '{\copyright}')
    end
    File.open(makeAdd, "w") do |f|
      f.puts cont
    end
  end

  mkFile = 'Makefile.inc'
  if not File.exists?(mkFile)
        ### CREATE Makefile.inc
    File.open(mkFile,"w") do |mf|
      mf.puts "PAPERS += #{lastname}/#{lastname}.dvi\n\n"
      mf.puts '## Add any additional .tex or .eps files below:'
      mf.puts "#{lastname}/#{lastname}.dvi #{lastname}/#{lastname}-proc.dvi: \\"
      mf.puts "\t#{lastname}/#{lastname}.tex \\"
      mf.puts "\t#{lastname}/#{lastname}-abstract.tex\n\n"
      mf.puts "#{lastname}/#{lastname}-%.pdf: #{lastname}/#{lastname}-%.eps"
      mf.puts "\t" + 'epstopdf $<' + "\n\n"

      mf.puts '## If you are generating eps from dia, uncomment:'
      mf.puts "# #{lastname}/#{lastname}-%.eps: #{lastname}/#{lastname}-%.dia"
      mf.puts '#' + "\t" + ' dia --export=$@ -t eps-builtin $^'
      mf.puts "\n"
    end
  end
  paperFile = lastname + '.tex'
  if not File.exists?(paperFile)
    buf = File.read(start_dir + '/TEMPLATES/autoauthor.tex')
    ntitle = p.title.gsub(/\*/, '\titleStar').gsub(/\256/, '{\titleLegalR}').gsub(/\.$/,'')
    ntitle.gsub!(/\.\.\./, '\ldots')
    ntitle.gsub!(/ vs\. /, ' vs.\ ')
    buf.gsub!(/__TITLE__/, ntitle)
    buf.gsub!(/__SUBTITLE__/, ' ')
    buf.gsub!(/__AUTHOR__/, p.author.gsub(/\. /, '.\ '))
    buf.gsub!(/__ABSTRACT__/, makeAdd)
    File.open(paperFile,"w") do |f|
      f.puts buf
    end
  end
  Dir.chdir start_dir
end
